package com.zswl.cloud.springBtach.server.core.service.impl;

import com.github.microservice.auth.client.content.ResultContent;
import com.zswl.cloud.springBatch.client.model.dfy.Hotel.request.*;
import com.zswl.cloud.springBatch.client.model.dfy.Hotel.response.*;
import com.zswl.cloud.springBatch.client.service.DfyHotelService;
import com.zswl.cloud.springBtach.server.core.api.dfy.DomesticHotelApi;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DfyHotelServiceImpl implements DfyHotelService {

    @Autowired
    DomesticHotelApi domesticHotelApi;

    public ResultContent<QueryNewResponse> queryNew(QueryNewRequest queryNewRequest) {
        return ResultContent.buildContent(domesticHotelApi.queryNew(queryNewRequest));
    }

    public ResultContent<HotelListResponse> hotelList(HotelListRequest hotelListRequest) {
        return ResultContent.buildContent(domesticHotelApi.hotelList(hotelListRequest));
    }

    public ResultContent<HotelDetailResponse> hotelDetail(HotelDetailRequest hotelDetailRequest) {
        return ResultContent.buildContent(domesticHotelApi.hotelDetail(hotelDetailRequest));
    }

    public ResultContent<RatePlanInfoResponse> ratePlanInfo(RatePlanInfoRequest ratePlanInfoRequest) {
        return ResultContent.buildContent(domesticHotelApi.ratePlanInfo(ratePlanInfoRequest));
    }

    public ResultContent<RatePlanResponse> ratePlan(RatePlanRequest ratePlanRequest) {
        return ResultContent.buildContent(domesticHotelApi.ratePlan(ratePlanRequest));
    }

    public ResultContent<AddOrderResponse> addOrder(AddOrderRequest addOrderRequest) {
        return ResultContent.buildContent(domesticHotelApi.addOrder(addOrderRequest));
    }

    public ResultContent<OrderDetailResponse> orderDetail(OrderDetailRequest orderDetailRequest) {
        return ResultContent.buildContent(domesticHotelApi.orderDetail(orderDetailRequest));
    }

    public ResultContent<SubmitOrderResponse> submitOrder(SubmitOrderRequest submitOrderRequest) {
        return ResultContent.buildContent(domesticHotelApi.submitOrder(submitOrderRequest));
    }

    public ResultContent<CancelOrderResponse> cancelOrder(CancelOrderRequest cancelOrderRequest) {
        return ResultContent.buildContent(domesticHotelApi.cancelOrder(cancelOrderRequest));
    }
}
